diff --git a/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/description/DescriptionDaoHibernateImplTest.java b/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/description/DescriptionDaoHibernateImplTest.java
index c92f17305e..b3be669159 100644
--- a/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/description/DescriptionDaoHibernateImplTest.java
+++ b/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/description/DescriptionDaoHibernateImplTest.java
@@ -29,6 +29,7 @@ import org.junit.Test;
 import org.unitils.dbunit.annotation.DataSet;
 import org.unitils.spring.annotation.SpringBeanByType;
 
+import eu.etaxonomy.cdm.model.common.DefinedTerm;
 import eu.etaxonomy.cdm.model.common.Language;
 import eu.etaxonomy.cdm.model.common.LanguageString;
 import eu.etaxonomy.cdm.model.common.MarkerType;
@@ -37,9 +38,8 @@ import eu.etaxonomy.cdm.model.description.DescriptionBase;
 import eu.etaxonomy.cdm.model.description.DescriptionElementBase;
 import eu.etaxonomy.cdm.model.description.Distribution;
 import eu.etaxonomy.cdm.model.description.Feature;
+import eu.etaxonomy.cdm.model.description.IModifiable;
 import eu.etaxonomy.cdm.model.description.PresenceTerm;
-import eu.etaxonomy.cdm.model.description.Scope;
-import eu.etaxonomy.cdm.model.description.Sex;
 import eu.etaxonomy.cdm.model.description.SpecimenDescription;
 import eu.etaxonomy.cdm.model.description.TaxonDescription;
 import eu.etaxonomy.cdm.model.description.TextData;
@@ -409,60 +409,101 @@ public class DescriptionDaoHibernateImplTest extends CdmTransactionalIntegration
         int n2 = this.descriptionDao.count();
         Assert.assertEquals(1, n2-n1);
 
-        Sex scope = Sex.FEMALE();
-        description.addScope(scope);
+		DefinedTerm scope = DefinedTerm.SEX_FEMALE();
+		description.addScope(scope);
 
         this.descriptionDao.saveOrUpdate(description);
 
     }
 
-    @Test
-    public void testListTaxonDescriptionWithMarker(){
-        Taxon taxon = (Taxon)this.taxonDao.findByUuid(UUID.fromString("b04cc9cb-2b4a-4cc4-a94a-3c93a2158b06"));
-        Set<Scope> scopes = null;
-        Set<NamedArea> geographicalScope = null;
-        Integer pageSize = null;
-        Integer pageNumber = null;
-        List<String> propertyPaths = null;
-
-        //complete
-        MarkerType completeMarkerType = (MarkerType)this.definedTermDao.findByUuid(UUID.fromString("b4b1b2ab-89a8-4ce6-8110-d60b8b1bc433")); //Marker "complete"
-        Assert.assertNotNull("MarkerType for 'complete' should exist", completeMarkerType);
-        Set<MarkerType> markerTypes = new HashSet<MarkerType>();
-        markerTypes.add(completeMarkerType);
-        int n1 = this.descriptionDao.countTaxonDescriptions(taxon, scopes, geographicalScope, markerTypes);
-        Assert.assertEquals("There should be 1 description marked 'complete'", 1, n1);
-        List<TaxonDescription> descriptions = this.descriptionDao.listTaxonDescriptions(taxon, scopes, geographicalScope, markerTypes, pageSize, pageNumber, propertyPaths);
-        Assert.assertEquals("There should be 1 description marked 'complete'", 1, descriptions.size());
-
-        //doubtful
-        MarkerType isDoubtfulMarkerType = (MarkerType)this.definedTermDao.findByUuid(UUID.fromString("b51325c8-05fe-421a-832b-d86fc249ef6e")); //Marker "doubtful"
-        Assert.assertNotNull("MarkerType for 'doubtful' should exist", isDoubtfulMarkerType);
-        markerTypes = new HashSet<MarkerType>();  //reset
-        markerTypes.add(isDoubtfulMarkerType);
-        int n2 = this.descriptionDao.countTaxonDescriptions(taxon, scopes, geographicalScope, markerTypes);
-        Assert.assertEquals("There should be no description marked 'doubtful'", 0, n2);
-        descriptions = this.descriptionDao.listTaxonDescriptions(taxon, scopes, geographicalScope, markerTypes, pageSize, pageNumber, propertyPaths);
-        Assert.assertEquals("There should be 0 description marked 'doubtful'", 0, descriptions.size());
-
-        //imported = false
-        UUID uuidImported = UUID.fromString("96878790-4ceb-42a2-9738-a2242079b679");
-        MarkerType importedMarkerType = (MarkerType)this.definedTermDao.findByUuid(uuidImported);
-        Assert.assertNotNull("MarkerType for 'imported' should exist", completeMarkerType);
-        markerTypes = new HashSet<MarkerType>();
-        markerTypes.add(importedMarkerType);
-        int n3 = this.descriptionDao.countTaxonDescriptions(taxon, scopes, geographicalScope, markerTypes);
-        Assert.assertEquals("There should be no description marked 'imported' as true", 0, n3);
-        descriptions = this.descriptionDao.listTaxonDescriptions(taxon, scopes, geographicalScope, markerTypes, pageSize, pageNumber, propertyPaths);
-        Assert.assertEquals("There should be no description marked 'imported' as true", 0, descriptions.size());
-        markerTypes = null;
-        descriptions = this.descriptionDao.listTaxonDescriptions(taxon, scopes, geographicalScope, markerTypes, pageSize, pageNumber, propertyPaths);
-        Assert.assertEquals("There should be 1 description", 1, descriptions.size());
-        TaxonDescription desc = descriptions.iterator().next();
-        boolean hasMarkerImportedAsFalse = desc.hasMarker(importedMarkerType, false);
-        Assert.assertTrue("The only description should have a negative marker on 'imported'", hasMarkerImportedAsFalse);
-
-    }
+	@Test
+	public void testListTaxonDescriptionWithMarker(){
+		Taxon taxon = (Taxon)this.taxonDao.findByUuid(UUID.fromString("b04cc9cb-2b4a-4cc4-a94a-3c93a2158b06"));
+		Set<DefinedTerm> scopes = null;
+		Set<NamedArea> geographicalScope = null;
+		Integer pageSize = null;
+		Integer pageNumber = null;
+		List<String> propertyPaths = null;
+		
+		//complete
+		MarkerType completeMarkerType = (MarkerType)this.definedTermDao.findByUuid(UUID.fromString("b4b1b2ab-89a8-4ce6-8110-d60b8b1bc433")); //Marker "complete"
+		Assert.assertNotNull("MarkerType for 'complete' should exist", completeMarkerType);
+		Set<MarkerType> markerTypes = new HashSet<MarkerType>();
+		markerTypes.add(completeMarkerType);
+		int n1 = this.descriptionDao.countTaxonDescriptions(taxon, scopes, geographicalScope, markerTypes);
+		Assert.assertEquals("There should be 1 description marked 'complete'", 1, n1);
+		List<TaxonDescription> descriptions = this.descriptionDao.listTaxonDescriptions(taxon, scopes, geographicalScope, markerTypes, pageSize, pageNumber, propertyPaths);
+		Assert.assertEquals("There should be 1 description marked 'complete'", 1, descriptions.size());
+		
+		//doubtful
+		MarkerType isDoubtfulMarkerType = (MarkerType)this.definedTermDao.findByUuid(UUID.fromString("b51325c8-05fe-421a-832b-d86fc249ef6e")); //Marker "doubtful"
+		Assert.assertNotNull("MarkerType for 'doubtful' should exist", isDoubtfulMarkerType);
+		markerTypes = new HashSet<MarkerType>();  //reset
+		markerTypes.add(isDoubtfulMarkerType);
+		int n2 = this.descriptionDao.countTaxonDescriptions(taxon, scopes, geographicalScope, markerTypes);
+		Assert.assertEquals("There should be no description marked 'doubtful'", 0, n2);
+		descriptions = this.descriptionDao.listTaxonDescriptions(taxon, scopes, geographicalScope, markerTypes, pageSize, pageNumber, propertyPaths);
+		Assert.assertEquals("There should be 0 description marked 'doubtful'", 0, descriptions.size());
+		
+		//imported = false
+		UUID uuidImported = UUID.fromString("96878790-4ceb-42a2-9738-a2242079b679");
+		MarkerType importedMarkerType = (MarkerType)this.definedTermDao.findByUuid(uuidImported); 
+		Assert.assertNotNull("MarkerType for 'imported' should exist", completeMarkerType);
+		markerTypes = new HashSet<MarkerType>();
+		markerTypes.add(importedMarkerType);
+		int n3 = this.descriptionDao.countTaxonDescriptions(taxon, scopes, geographicalScope, markerTypes);
+		Assert.assertEquals("There should be no description marked 'imported' as true", 0, n3);
+		descriptions = this.descriptionDao.listTaxonDescriptions(taxon, scopes, geographicalScope, markerTypes, pageSize, pageNumber, propertyPaths);
+		Assert.assertEquals("There should be no description marked 'imported' as true", 0, descriptions.size());
+		markerTypes = null;
+		descriptions = this.descriptionDao.listTaxonDescriptions(taxon, scopes, geographicalScope, markerTypes, pageSize, pageNumber, propertyPaths);
+		Assert.assertEquals("There should be 1 description", 1, descriptions.size());
+		TaxonDescription desc = descriptions.iterator().next();
+		boolean hasMarkerImportedAsFalse = desc.hasMarker(importedMarkerType, false);
+		Assert.assertTrue("The only description should have a negative marker on 'imported'", hasMarkerImportedAsFalse);
+		
+	}
+	
+//
+//        //complete
+//        MarkerType completeMarkerType = (MarkerType)this.definedTermDao.findByUuid(UUID.fromString("b4b1b2ab-89a8-4ce6-8110-d60b8b1bc433")); //Marker "complete"
+//        
+//        Assert.assertNotNull("MarkerType for 'complete' should exist", completeMarkerType);
+//        Set<MarkerType> markerTypes = new HashSet<MarkerType>();
+//        markerTypes.add(completeMarkerType);
+//        int n1 = this.descriptionDao.countTaxonDescriptions(taxon, scopes, geographicalScope, markerTypes);
+//        Assert.assertEquals("There should be 1 description marked 'complete'", 1, n1);
+//        List<TaxonDescription> descriptions = this.descriptionDao.listTaxonDescriptions(taxon, scopes, geographicalScope, markerTypes, pageSize, pageNumber, propertyPaths);
+//        Assert.assertEquals("There should be 1 description marked 'complete'", 1, descriptions.size());
+//
+//        //doubtful
+//        MarkerType isDoubtfulMarkerType = (MarkerType)this.definedTermDao.findByUuid(UUID.fromString("b51325c8-05fe-421a-832b-d86fc249ef6e")); //Marker "doubtful"
+//        Assert.assertNotNull("MarkerType for 'doubtful' should exist", isDoubtfulMarkerType);
+//        markerTypes = new HashSet<MarkerType>();  //reset
+//        markerTypes.add(isDoubtfulMarkerType);
+//        int n2 = this.descriptionDao.countTaxonDescriptions(taxon, scopes, geographicalScope, markerTypes);
+//        Assert.assertEquals("There should be no description marked 'doubtful'", 0, n2);
+//        descriptions = this.descriptionDao.listTaxonDescriptions(taxon, scopes, geographicalScope, markerTypes, pageSize, pageNumber, propertyPaths);
+//        Assert.assertEquals("There should be 0 description marked 'doubtful'", 0, descriptions.size());
+//
+//        //imported = false
+//        UUID uuidImported = UUID.fromString("96878790-4ceb-42a2-9738-a2242079b679");
+//        MarkerType importedMarkerType = (MarkerType)this.definedTermDao.findByUuid(uuidImported);
+//        Assert.assertNotNull("MarkerType for 'imported' should exist", completeMarkerType);
+//        markerTypes = new HashSet<MarkerType>();
+//        markerTypes.add(importedMarkerType);
+//        int n3 = this.descriptionDao.countTaxonDescriptions(taxon, scopes, geographicalScope, markerTypes);
+//        Assert.assertEquals("There should be no description marked 'imported' as true", 0, n3);
+//        descriptions = this.descriptionDao.listTaxonDescriptions(taxon, scopes, geographicalScope, markerTypes, pageSize, pageNumber, propertyPaths);
+//        Assert.assertEquals("There should be no description marked 'imported' as true", 0, descriptions.size());
+//        markerTypes = null;
+//        descriptions = this.descriptionDao.listTaxonDescriptions(taxon, scopes, geographicalScope, markerTypes, pageSize, pageNumber, propertyPaths);
+//        Assert.assertEquals("There should be 1 description", 1, descriptions.size());
+//        TaxonDescription desc = descriptions.iterator().next();
+//        boolean hasMarkerImportedAsFalse = desc.hasMarker(importedMarkerType, false);
+//        Assert.assertTrue("The only description should have a negative marker on 'imported'", hasMarkerImportedAsFalse);
+//
+//    }
 
 
     @Test
diff --git a/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/description/DescriptionElementDaoHibernateImplTest.java b/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/description/DescriptionElementDaoHibernateImplTest.java
index aef8adb2c7..4445984fe9 100644
--- a/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/description/DescriptionElementDaoHibernateImplTest.java
+++ b/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/description/DescriptionElementDaoHibernateImplTest.java
@@ -27,7 +27,6 @@ import eu.etaxonomy.cdm.model.common.Language;
 import eu.etaxonomy.cdm.model.common.LanguageString;
 import eu.etaxonomy.cdm.model.description.CategoricalData;
 import eu.etaxonomy.cdm.model.description.Feature;
-import eu.etaxonomy.cdm.model.description.Modifier;
 import eu.etaxonomy.cdm.model.description.State;
 import eu.etaxonomy.cdm.model.description.StateData;
 import eu.etaxonomy.cdm.model.description.TextData;
@@ -267,7 +266,7 @@ public class DescriptionElementDaoHibernateImplTest extends CdmTransactionalInte
 		stateData.putModifyingText(Language.ENGLISH(), "test modifier");
 		LanguageString langString = stateData.getModifyingText().get(Language.ENGLISH());
 		langString.setUuid(UUID.fromString("53a91bd4-d758-47ec-a385-94799bdb9f32"));
-		data.addState(stateData);
+		data.addStateData(stateData);
 //		Modifier modifier = Modifier.NewInstance("my test modifier", "test", null);
 //		TODO still throws JDBC batch update exception, one reason may be that in hibernate_sequence nextVal for definedtermbase is "1"
 //		stateData.addModifier(modifier);
diff --git a/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/media/MediaRepresentationPartDaoImplTest.java b/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/media/MediaRepresentationPartDaoImplTest.java
index 860d4d2585..4b50c803b9 100644
--- a/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/media/MediaRepresentationPartDaoImplTest.java
+++ b/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/media/MediaRepresentationPartDaoImplTest.java
@@ -99,5 +99,26 @@ public class MediaRepresentationPartDaoImplTest extends CdmTransactionalIntegrat
 		}
 		
 	}
+	
+	@Test
+	public void testLongUri() {
+		try {
+			URI uri = new URI("http://www.test3.de/woieoriuwoirwuwouroiwuowiuoiuwoieuroiuewroiououi/hdsfiuwhuehfhiuhiuhwihiuhew"+
+					"wereeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee"+
+					"weeeeeeeeeeeeeeeeeeeeeee/eeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee"+
+					"uizweiuzriuzewiurziuewui/weeeeeeeeeeeeeeeeeuiziuzwueziuzweiurziuwzriufsfdds");
+			
+			MediaRepresentationPart part1 = MediaRepresentationPart.NewInstance(uri, 22);
+			//a representation is needed otherwise a not nullable exception is thrown (due to lucene index (?))
+			MediaRepresentation representation = MediaRepresentation.NewInstance();
+			representation.addRepresentationPart(part1);
+			dao.save(part1);
+			commit();
+			
+		} catch (URISyntaxException e) {
+			Assert.fail("URI should be ok");
+		}
+		
+	}
 
 }
diff --git a/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/molecular/MolecularHibernateImplTest.java b/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/molecular/MolecularHibernateImplTest.java
index a1187b47e6..e0cf0571b7 100644
--- a/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/molecular/MolecularHibernateImplTest.java
+++ b/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/molecular/MolecularHibernateImplTest.java
@@ -7,22 +7,35 @@ import org.junit.Assert;
 import org.junit.Before;
 import org.junit.BeforeClass;
 import org.junit.Test;
+import org.unitils.dbunit.annotation.DataSet;
 import org.unitils.spring.annotation.SpringBeanByType;
 
+import eu.etaxonomy.cdm.model.common.DefinedTerm;
 import eu.etaxonomy.cdm.model.molecular.DnaSample;
-import eu.etaxonomy.cdm.model.molecular.GenBankAccession;
-import eu.etaxonomy.cdm.model.molecular.Locus;
+import eu.etaxonomy.cdm.model.molecular.PhylogeneticTree;
 import eu.etaxonomy.cdm.model.molecular.Sequence;
+import eu.etaxonomy.cdm.persistence.dao.common.IDefinedTermDao;
+import eu.etaxonomy.cdm.persistence.dao.media.IMediaDao;
 import eu.etaxonomy.cdm.persistence.dao.occurrence.IOccurrenceDao;
 import eu.etaxonomy.cdm.test.integration.CdmTransactionalIntegrationTest;
 
 public class MolecularHibernateImplTest  extends CdmTransactionalIntegrationTest {
 
-    final static UUID uuidSample1 = UUID.fromString("4b451275-655f-40d6-8d4b-0203574bef15");
-	
+	private static final String MARKER_LABEL = "ITS1";
+
+	@SpringBeanByType
+    private IDefinedTermDao termDao;
+    
 	@SpringBeanByType
     private IOccurrenceDao occurrenceDao;
 	
+	@SpringBeanByType
+    private IMediaDao mediaDao;
+	
+	private UUID phyloTreeUuid;
+	private UUID sequenceUuid;
+	private UUID uuidSample1;// = UUID.fromString("4b451275-655f-40d6-8d4b-0203574bef15");
+		
 	@BeforeClass
 	public static void setUpBeforeClass() throws Exception {
 	}
@@ -33,38 +46,58 @@ public class MolecularHibernateImplTest  extends CdmTransactionalIntegrationTest
 
 //**************** TESTS ************************************************	
 	
-	//Test if DnaSample can be loaded and if Sequence, Locus and GenBankAccession data can 
+	//Test if DnaSample can be loaded and if Sequence and Marker data can 
 	//be lazy loaded from database
 	//#3340
 	@Test
-	public void testLazyLoadSequenceLocusGenbankaccession() {
+	@DataSet
+	public void testLazyLoadSequenceMarker() {
 		createTestData();
 		DnaSample sample1 = (DnaSample)occurrenceDao.findByUuid(uuidSample1);
 		Set<Sequence> sequences = sample1.getSequences();
 		
 		Sequence sequence = sequences.iterator().next();
-		Locus locus = sequence.getLocus();
-		Assert.assertEquals("Locus", locus.getName());
-		Set<GenBankAccession> accessions = sequence.getGenBankAccession();
-		GenBankAccession accession = accessions.iterator().next();
-		Assert.assertEquals("123", accession.getAccessionNumber());
+		DefinedTerm marker = sequence.getDnaMarker();
+		Assert.assertNotNull("Marker should not be null", marker);
+		Assert.assertEquals("Markers label should be 'Marker'",MARKER_LABEL, marker.getLabel());
+		
+		commit();
+	}
+	
+	@Test
+	@DataSet
+	public void testLoadUsedSequences() {
+		createTestData();
+		PhylogeneticTree phyloTree = (PhylogeneticTree)mediaDao.findByUuid(phyloTreeUuid);
+		Assert.assertNotNull("Phylogenetic Tree should be found", phyloTree);
+		Set<Sequence> sequences = phyloTree.getUsedSequences();
+		
+		Assert.assertEquals(1, sequences.size());
+		Sequence sequence = sequences.iterator().next();
+		Assert.assertEquals(sequenceUuid, sequence.getUuid());
+		
 		commit();
 	}
 
 	private void createTestData(){
 		DnaSample sample = DnaSample.NewInstance();
 		Sequence sequence = Sequence.NewInstance("Meine Sequence");
-		sample.addSequences(sequence);
-		sample.setUuid(uuidSample1);
-		
-		Locus locus = Locus.NewInstance("Locus", null);
-		sequence.setLocus(locus);
+		sequenceUuid = sequence.getUuid();
+		sample.addSequence(sequence);
+		uuidSample1 = sample.getUuid();
 		
-		GenBankAccession accession = GenBankAccession.NewInstance("123");
-		sequence.addGenBankAccession(accession);
+		DefinedTerm marker = DefinedTerm.ITS1_MARKER();
+		Assert.assertNotNull("ITS1 marker must not be null", marker);
+		sequence.setDnaMarker(marker);
 		
 		occurrenceDao.save(sample);
-		commitAndStartNewTransaction(new String[]{"DnaSample", "SpecimenOrObservationBase", "Locus"});
+		
+		PhylogeneticTree phyloTree = PhylogeneticTree.NewInstance();
+		phyloTree.addUsedSequences(sequence);
+		mediaDao.saveOrUpdate(phyloTree);
+		phyloTreeUuid = phyloTree.getUuid();
+		
+		commitAndStartNewTransaction(new String[]{"SpecimenOrObservationBase"});
 	}
 	
 
diff --git a/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/name/TypeDesignationDaoHibernateImplTest.java b/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/name/TypeDesignationDaoHibernateImplTest.java
index ddf75be5bb..23f7650243 100644
--- a/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/name/TypeDesignationDaoHibernateImplTest.java
+++ b/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/name/TypeDesignationDaoHibernateImplTest.java
@@ -35,7 +35,7 @@ import eu.etaxonomy.cdm.model.name.SpecimenTypeDesignationStatus;
 import eu.etaxonomy.cdm.model.name.TaxonNameBase;
 import eu.etaxonomy.cdm.model.name.TypeDesignationBase;
 import eu.etaxonomy.cdm.model.name.TypeDesignationStatusBase;
-import eu.etaxonomy.cdm.model.occurrence.Specimen;
+import eu.etaxonomy.cdm.model.occurrence.DerivedUnit;
 import eu.etaxonomy.cdm.persistence.dao.name.ITaxonNameDao;
 import eu.etaxonomy.cdm.persistence.dao.name.ITypeDesignationDao;
 import eu.etaxonomy.cdm.persistence.dao.occurrence.IOccurrenceDao;
@@ -192,7 +192,7 @@ public class TypeDesignationDaoHibernateImplTest extends CdmTransactionalIntegra
 		desig1.setUuid(UUID.fromString("6df85e4c-49fe-4eb5-acde-cf6c0c9fc3c5"));
 		name1.addTypeDesignation(desig1, true);
 
-		Specimen specimen = Specimen.NewInstance();
+		DerivedUnit specimen = DerivedUnit.NewPreservedSpecimenInstance();
 		specimen.setUuid(UUID.fromString("f1a7c3b9-169c-4845-9b21-e77f863a8bce"));
 		specimen.setTitleCache("Specimen to cascade", true);
 		desig1.setTypeSpecimen(specimen);
@@ -221,7 +221,7 @@ public class TypeDesignationDaoHibernateImplTest extends CdmTransactionalIntegra
 		desig1.setUuid(UUID.fromString("c0e03472-b9f9-4886-b3bd-c1c70dd21a5f"));
 		name1.addTypeDesignation(desig1, true);
 
-		Specimen specimen = Specimen.NewInstance();
+		DerivedUnit specimen = DerivedUnit.NewPreservedSpecimenInstance();
 		specimen.setUuid(UUID.fromString("4c3231a9-336e-4b21-acf2-129683627de4"));
 		specimen.setTitleCache("Specimen to cascade", true);
 		desig1.setTypeSpecimen(specimen);
diff --git a/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/occurrence/OccurrenceDaoHibernateImplTest.java b/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/occurrence/OccurrenceDaoHibernateImplTest.java
index 03cb65c3bd..40465fac42 100644
--- a/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/occurrence/OccurrenceDaoHibernateImplTest.java
+++ b/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/occurrence/OccurrenceDaoHibernateImplTest.java
@@ -71,12 +71,12 @@ public class OccurrenceDaoHibernateImplTest  extends CdmIntegrationTest {
 	}
 
 	@Test
-	public void testGetDerivedUnitBaseUuidAndTitleCache() {
+	public void testGetDerivedUnitUuidAndTitleCache() {
 		logger.warn("Not yet implemented");
 	}
 
 	@Test
-	public void testGetFieldObservationUuidAndTitleCache() {
+	public void testGetFieldUnitUuidAndTitleCache() {
 		logger.warn("Not yet implemented");
 	}
 
